#pragma once
//
#include <string>
#include <vector>
//

using namespace std;

class CICameraId
{
public:
    CICameraId(void);
    ~CICameraId(void);

    enum eCODE_TYPE {
        eSTATIC,
        eSOS,
        eEOS,
        MAX_CODE_TYPE,
    };

    virtual string id(int nIndex)  = 0;
    virtual string sos(int nIndex) = 0;
    virtual string eos(int nIndex) = 0;

    virtual int index(string strId) = 0;

    virtual int indexSOS(string strId) = 0;
    virtual int indexEOS(string strId) = 0;

protected:
    string &ltrim(string & str);
    string &rtrim(string & str);
    string &trim(string & str);

    vector<string> m_vecCode[MAX_CODE_TYPE];
};
